Metric Collection Job
Retry a metric collection job
Creates a new metric collection job using the same conversations and metrics as a previous job, then triggers processing. The previous job must be in a terminal state (COMPLETED, FAILED, or CANCELED). Returns the newly created job — track its id for downstream fetches.
POST
/
v1
/
metric
/
collection-jobs
/
{jobId}
/
retry
Retry a metric collection job
curl --request POST \
--url https://api.roark.ai/v1/metric/collection-jobs/{jobId}/retry \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.roark.ai/v1/metric/collection-jobs/{jobId}/retry"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.roark.ai/v1/metric/collection-jobs/{jobId}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"triggeredBy": "USER_MANUAL",
"totalItems": 123,
"completedItems": 123,
"failedItems": 123,
"startedAt": "<string>",
"completedAt": "<string>",
"errorMessage": "<string>",
"policyIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"type": "validation",
"code": "invalid_parameter",
"message": "The request was invalid",
"param": "email"
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "rate_limit",
"code": "too_many_requests",
"message": "Rate limit exceeded"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the previous metric collection job to retry
Response
The newly created (retry) metric collection job
A metric collection job that processes metrics for calls or chats
Show child attributes
Show child attributes
⌘I
Retry a metric collection job
